## ros-indigo-pr2-tuckarm 0.5.21

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_tuckarm)

find_package(catkin REQUIRED COMPONENTS rospy trajectory_msgs pr2_mechanism_msgs pr2_tuck_arms_action)

catkin_package(
    DEPENDS
    CATKIN_DEPENDS rospy trajectory_msgs pr2_mechanism_msgs pr2_tuck_arms_action
    INCLUDE_DIRS
    LIBRARIES
)

install(PROGRAMS scripts/tuck_arms.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY scripts launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(FILES icon.png
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-pr2-tuckarm (0.5.21-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 23 Mar 2016 22:16:27 -0000

ros-indigo-pr2-tuckarm (0.5.20-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.19-1trusty) trusty; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.18-1trusty) trusty; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/PR2/pr2_apps into hydro-devel
  * Updated maintainership
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.16-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.15-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Wed, 28 Jan 2015 05:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.14-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Thu, 20 Nov 2014 05:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.13-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Tue, 18 Nov 2014 05:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.12-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Mon, 17 Nov 2014 05:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.11-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Mon, 20 Oct 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.10-1trusty) trusty; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Wim Meeussen <wim@willowgarage.com>  Fri, 17 Oct 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.9-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.8-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Tue, 30 Sep 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.7-1trusty) trusty; urgency=high

  * Changelog
  * Things
  * Contributors: TheDash
  * Things
  * Contributors: TheDash

 -- Wim Meeussen <wim@willowgarage.com>  Wed, 17 Sep 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.6-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Sun, 07 Sep 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.5-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Sun, 07 Sep 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.4-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Sun, 07 Sep 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.3-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Sun, 07 Sep 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.2-1trusty) trusty; urgency=high



 -- Wim Meeussen <wim@willowgarage.com>  Sun, 07 Sep 2014 04:00:00 -0000

ros-indigo-pr2-tuckarm (0.5.1-1trusty) trusty; urgency=high

  * Works
  * catkinize pr2_tuckarm
  * Remove tuck_arms
  * Add icon for tuckarms
  * Add .hgignore.
  * remove deprecated tuckarm script
  * fix logerr typo
  * link to new tuckarm version in pr2_common_actions
  * Added Ubuntu platform tags to manifest
  * deprecate tuckarm
  * staging pr2_apps into tick-tock
  * Contributors: Add tuckarms, Kei Okada, TheDash, Tony Pratkanis, gerkey, kwc, pratkanis, wim

 -- Wim Meeussen <wim@willowgarage.com>  Sat, 06 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-tuckarm
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-pr2-mechanism-msgs, ros-indigo-pr2-tuck-arms-action, ros-indigo-rospy, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/pr2_tuckarm
Standards-Version: 3.9.2

Package: ros-indigo-pr2-tuckarm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pr2-mechanism-msgs, ros-indigo-pr2-tuck-arms-action, ros-indigo-rospy, ros-indigo-trajectory-msgs
Description: Tucks the arms of the PR2 robot into a safe position for moving the base of the robot.
 This also moves the arms out of the view of the tilting laser scanner, as much as possible.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-tuckarm//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
